import QtQuick 1.1
import qb.components 1.0
import Effects 1.0

SystrayIcon {
	visible: app.hasVacation
	objectName: "vacationSystrayIcon"

	onClicked: {
		stage.openFullscreen(app.vacationOverviewScreenUrl);
	}

	onDimStateChanged: {
		if (dimState)
			colorize.setColor("#8c8c8c");
		else
			colorize.setColor("#000000");
	}

	Image {
		anchors.centerIn: parent
		source: "drawables/vacationSystray.png"
		effect: Colorize {id: colorize; color: "#000000"; strength: 1.0}
	}
}
